install.packages("DBI")
install.packages("odbc")

if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")){
  con <- DBI::dbConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres")
  if(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="test_datalibaba") == TRUE){
    DBI::dbExecute(con, "DROP DATABASE IF EXISTS test_datalibaba;")
  }
    DBI::dbExecute(con, "CREATE DATABASE test_datalibaba WITH OWNER = runner ENCODING = 'UTF8' CONNECTION LIMIT = -1;")
    DBI::dbDisconnect(con)
    con <- DBI::dbConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="test_datalibaba")
    DBI::dbExecute(con, "CREATE EXTENSION postgis;")
    DBI::dbExecute(con, "CREATE EXTENSION postgis_topology;")

  #autre dbExecute si besoin de plus
  #si on veut lire un script sql mesreq.sql, le mettre dans /dev et executer
  # system(paste0("( echo dev/mesreq.sql ) | psql \"postgresql://runner:",Sys.getenv("BDD_RUNNER_PWD"),"@127.0.0.1:5432/test_datalibaba\""))
  print('local database postgresql works !')
}else{
  print(DBI::dbCanConnect(RPostgres::Postgres(), host="localhost", user="runner", password=Sys.getenv("BDD_RUNNER_PWD"), dbname="postgres"))
  print('alert: local database postgresql doesnt work !')
}
