# importer_data no geo works

    Code
      importer_data(table = "test_iris", schema = "public", db = "test_datalibaba",
        user = "test", limit = 4, ecoSQL = FALSE)
    Output
        id Sepal.Length Sepal.Width Petal.Length Petal.Width Species
      1  1          5.1         3.5          1.4         0.2  setosa
      2  2          4.9         3.0          1.4         0.2  setosa
      3  3          4.7         3.2          1.3         0.2  setosa
      4  4          4.6         3.1          1.5         0.2  setosa
                     todate
      1 2025-02-27 14:29:32
      2 2025-02-27 14:29:32
      3 2025-02-27 14:29:32
      4 2025-02-27 14:29:32

# importer_data geo works

    Code
      importer_data(table = "nc", schema = "public", db = "test_datalibaba", user = "test")
    Output
      Simple feature collection with 100 features and 14 fields
      Geometry type: MULTIPOLYGON
      Dimension:     XY
      Bounding box:  xmin: -84.32385 ymin: 33.88199 xmax: -75.45698 ymax: 36.58965
      Geodetic CRS:  NAD27
      First 10 features:
          AREA PERIMETER CNTY_ CNTY_ID        NAME  FIPS FIPSNO CRESS_ID BIR74 SID74
      1  0.114     1.442  1825    1825        Ashe 37009  37009        5  1091     1
      2  0.061     1.231  1827    1827   Alleghany 37005  37005        3   487     0
      3  0.143     1.630  1828    1828       Surry 37171  37171       86  3188     5
      4  0.070     2.968  1831    1831   Currituck 37053  37053       27   508     1
      5  0.153     2.206  1832    1832 Northampton 37131  37131       66  1421     9
      6  0.097     1.670  1833    1833    Hertford 37091  37091       46  1452     7
      7  0.062     1.547  1834    1834      Camden 37029  37029       15   286     0
      8  0.091     1.284  1835    1835       Gates 37073  37073       37   420     0
      9  0.118     1.421  1836    1836      Warren 37185  37185       93   968     4
      10 0.124     1.428  1837    1837      Stokes 37169  37169       85  1612     1
         NWBIR74 BIR79 SID79 NWBIR79                       geometry
      1       10  1364     0      19 MULTIPOLYGON (((-81.47276 3...
      2       10   542     3      12 MULTIPOLYGON (((-81.23989 3...
      3      208  3616     6     260 MULTIPOLYGON (((-80.45634 3...
      4      123   830     2     145 MULTIPOLYGON (((-76.00897 3...
      5     1066  1606     3    1197 MULTIPOLYGON (((-77.21767 3...
      6      954  1838     5    1237 MULTIPOLYGON (((-76.74506 3...
      7      115   350     2     139 MULTIPOLYGON (((-76.00897 3...
      8      254   594     2     371 MULTIPOLYGON (((-76.56251 3...
      9      748  1190     2     844 MULTIPOLYGON (((-78.30876 3...
      10     160  2038     5     176 MULTIPOLYGON (((-80.02567 3...

---

    Code
      importer_data(table = "nc", schema = "public", db = "test_datalibaba", user = "test",
        limit = 4)
    Output
      Simple feature collection with 4 features and 14 fields
      Geometry type: MULTIPOLYGON
      Dimension:     XY
      Bounding box:  xmin: -81.74107 ymin: 36.07282 xmax: -75.77316 ymax: 36.58965
      Geodetic CRS:  NAD27
         AREA PERIMETER CNTY_ CNTY_ID      NAME  FIPS FIPSNO CRESS_ID BIR74 SID74
      1 0.114     1.442  1825    1825      Ashe 37009  37009        5  1091     1
      2 0.061     1.231  1827    1827 Alleghany 37005  37005        3   487     0
      3 0.143     1.630  1828    1828     Surry 37171  37171       86  3188     5
      4 0.070     2.968  1831    1831 Currituck 37053  37053       27   508     1
        NWBIR74 BIR79 SID79 NWBIR79                       geometry
      1      10  1364     0      19 MULTIPOLYGON (((-81.47276 3...
      2      10   542     3      12 MULTIPOLYGON (((-81.23989 3...
      3     208  3616     6     260 MULTIPOLYGON (((-80.45634 3...
      4     123   830     2     145 MULTIPOLYGON (((-76.00897 3...

---

    Code
      importer_data(table = "test_nc_noid", schema = "public", db = "test_datalibaba",
        user = "test", limit = 4)
    Output
      Simple feature collection with 4 features and 14 fields
      Geometry type: MULTIPOLYGON
      Dimension:     XY
      Bounding box:  xmin: -81.74107 ymin: 36.07282 xmax: -75.77316 ymax: 36.58965
      Geodetic CRS:  NAD27
         AREA PERIMETER CNTY_ CNTY_ID      NAME  FIPS FIPSNO CRESS_ID BIR74 SID74
      1 0.114     1.442  1825    1825      Ashe 37009  37009        5  1091     1
      2 0.061     1.231  1827    1827 Alleghany 37005  37005        3   487     0
      3 0.143     1.630  1828    1828     Surry 37171  37171       86  3188     5
      4 0.070     2.968  1831    1831 Currituck 37053  37053       27   508     1
        NWBIR74 BIR79 SID79 NWBIR79                       geometry
      1      10  1364     0      19 MULTIPOLYGON (((-81.47276 3...
      2      10   542     3      12 MULTIPOLYGON (((-81.23989 3...
      3     208  3616     6     260 MULTIPOLYGON (((-80.45634 3...
      4     123   830     2     145 MULTIPOLYGON (((-76.00897 3...

# get_data works

    Code
      get_data(con = con, schema = "public", table = "test_iris")
    Output
           id sepal_length sepal_width petal_length petal_width    species
      1     1          5.1         3.5          1.4         0.2     setosa
      2     2          4.9         3.0          1.4         0.2     setosa
      3     3          4.7         3.2          1.3         0.2     setosa
      4     4          4.6         3.1          1.5         0.2     setosa
      5     5          5.0         3.6          1.4         0.2     setosa
      6     6          5.4         3.9          1.7         0.4     setosa
      7     7          4.6         3.4          1.4         0.3     setosa
      8     8          5.0         3.4          1.5         0.2     setosa
      9     9          4.4         2.9          1.4         0.2     setosa
      10   10          4.9         3.1          1.5         0.1     setosa
      11   11          5.4         3.7          1.5         0.2     setosa
      12   12          4.8         3.4          1.6         0.2     setosa
      13   13          4.8         3.0          1.4         0.1     setosa
      14   14          4.3         3.0          1.1         0.1     setosa
      15   15          5.8         4.0          1.2         0.2     setosa
      16   16          5.7         4.4          1.5         0.4     setosa
      17   17          5.4         3.9          1.3         0.4     setosa
      18   18          5.1         3.5          1.4         0.3     setosa
      19   19          5.7         3.8          1.7         0.3     setosa
      20   20          5.1         3.8          1.5         0.3     setosa
      21   21          5.4         3.4          1.7         0.2     setosa
      22   22          5.1         3.7          1.5         0.4     setosa
      23   23          4.6         3.6          1.0         0.2     setosa
      24   24          5.1         3.3          1.7         0.5     setosa
      25   25          4.8         3.4          1.9         0.2     setosa
      26   26          5.0         3.0          1.6         0.2     setosa
      27   27          5.0         3.4          1.6         0.4     setosa
      28   28          5.2         3.5          1.5         0.2     setosa
      29   29          5.2         3.4          1.4         0.2     setosa
      30   30          4.7         3.2          1.6         0.2     setosa
      31   31          4.8         3.1          1.6         0.2     setosa
      32   32          5.4         3.4          1.5         0.4     setosa
      33   33          5.2         4.1          1.5         0.1     setosa
      34   34          5.5         4.2          1.4         0.2     setosa
      35   35          4.9         3.1          1.5         0.2     setosa
      36   36          5.0         3.2          1.2         0.2     setosa
      37   37          5.5         3.5          1.3         0.2     setosa
      38   38          4.9         3.6          1.4         0.1     setosa
      39   39          4.4         3.0          1.3         0.2     setosa
      40   40          5.1         3.4          1.5         0.2     setosa
      41   41          5.0         3.5          1.3         0.3     setosa
      42   42          4.5         2.3          1.3         0.3     setosa
      43   43          4.4         3.2          1.3         0.2     setosa
      44   44          5.0         3.5          1.6         0.6     setosa
      45   45          5.1         3.8          1.9         0.4     setosa
      46   46          4.8         3.0          1.4         0.3     setosa
      47   47          5.1         3.8          1.6         0.2     setosa
      48   48          4.6         3.2          1.4         0.2     setosa
      49   49          5.3         3.7          1.5         0.2     setosa
      50   50          5.0         3.3          1.4         0.2     setosa
      51   51          7.0         3.2          4.7         1.4 versicolor
      52   52          6.4         3.2          4.5         1.5 versicolor
      53   53          6.9         3.1          4.9         1.5 versicolor
      54   54          5.5         2.3          4.0         1.3 versicolor
      55   55          6.5         2.8          4.6         1.5 versicolor
      56   56          5.7         2.8          4.5         1.3 versicolor
      57   57          6.3         3.3          4.7         1.6 versicolor
      58   58          4.9         2.4          3.3         1.0 versicolor
      59   59          6.6         2.9          4.6         1.3 versicolor
      60   60          5.2         2.7          3.9         1.4 versicolor
      61   61          5.0         2.0          3.5         1.0 versicolor
      62   62          5.9         3.0          4.2         1.5 versicolor
      63   63          6.0         2.2          4.0         1.0 versicolor
      64   64          6.1         2.9          4.7         1.4 versicolor
      65   65          5.6         2.9          3.6         1.3 versicolor
      66   66          6.7         3.1          4.4         1.4 versicolor
      67   67          5.6         3.0          4.5         1.5 versicolor
      68   68          5.8         2.7          4.1         1.0 versicolor
      69   69          6.2         2.2          4.5         1.5 versicolor
      70   70          5.6         2.5          3.9         1.1 versicolor
      71   71          5.9         3.2          4.8         1.8 versicolor
      72   72          6.1         2.8          4.0         1.3 versicolor
      73   73          6.3         2.5          4.9         1.5 versicolor
      74   74          6.1         2.8          4.7         1.2 versicolor
      75   75          6.4         2.9          4.3         1.3 versicolor
      76   76          6.6         3.0          4.4         1.4 versicolor
      77   77          6.8         2.8          4.8         1.4 versicolor
      78   78          6.7         3.0          5.0         1.7 versicolor
      79   79          6.0         2.9          4.5         1.5 versicolor
      80   80          5.7         2.6          3.5         1.0 versicolor
      81   81          5.5         2.4          3.8         1.1 versicolor
      82   82          5.5         2.4          3.7         1.0 versicolor
      83   83          5.8         2.7          3.9         1.2 versicolor
      84   84          6.0         2.7          5.1         1.6 versicolor
      85   85          5.4         3.0          4.5         1.5 versicolor
      86   86          6.0         3.4          4.5         1.6 versicolor
      87   87          6.7         3.1          4.7         1.5 versicolor
      88   88          6.3         2.3          4.4         1.3 versicolor
      89   89          5.6         3.0          4.1         1.3 versicolor
      90   90          5.5         2.5          4.0         1.3 versicolor
      91   91          5.5         2.6          4.4         1.2 versicolor
      92   92          6.1         3.0          4.6         1.4 versicolor
      93   93          5.8         2.6          4.0         1.2 versicolor
      94   94          5.0         2.3          3.3         1.0 versicolor
      95   95          5.6         2.7          4.2         1.3 versicolor
      96   96          5.7         3.0          4.2         1.2 versicolor
      97   97          5.7         2.9          4.2         1.3 versicolor
      98   98          6.2         2.9          4.3         1.3 versicolor
      99   99          5.1         2.5          3.0         1.1 versicolor
      100 100          5.7         2.8          4.1         1.3 versicolor
      101 101          6.3         3.3          6.0         2.5  virginica
      102 102          5.8         2.7          5.1         1.9  virginica
      103 103          7.1         3.0          5.9         2.1  virginica
      104 104          6.3         2.9          5.6         1.8  virginica
      105 105          6.5         3.0          5.8         2.2  virginica
      106 106          7.6         3.0          6.6         2.1  virginica
      107 107          4.9         2.5          4.5         1.7  virginica
      108 108          7.3         2.9          6.3         1.8  virginica
      109 109          6.7         2.5          5.8         1.8  virginica
      110 110          7.2         3.6          6.1         2.5  virginica
      111 111          6.5         3.2          5.1         2.0  virginica
      112 112          6.4         2.7          5.3         1.9  virginica
      113 113          6.8         3.0          5.5         2.1  virginica
      114 114          5.7         2.5          5.0         2.0  virginica
      115 115          5.8         2.8          5.1         2.4  virginica
      116 116          6.4         3.2          5.3         2.3  virginica
      117 117          6.5         3.0          5.5         1.8  virginica
      118 118          7.7         3.8          6.7         2.2  virginica
      119 119          7.7         2.6          6.9         2.3  virginica
      120 120          6.0         2.2          5.0         1.5  virginica
      121 121          6.9         3.2          5.7         2.3  virginica
      122 122          5.6         2.8          4.9         2.0  virginica
      123 123          7.7         2.8          6.7         2.0  virginica
      124 124          6.3         2.7          4.9         1.8  virginica
      125 125          6.7         3.3          5.7         2.1  virginica
      126 126          7.2         3.2          6.0         1.8  virginica
      127 127          6.2         2.8          4.8         1.8  virginica
      128 128          6.1         3.0          4.9         1.8  virginica
      129 129          6.4         2.8          5.6         2.1  virginica
      130 130          7.2         3.0          5.8         1.6  virginica
      131 131          7.4         2.8          6.1         1.9  virginica
      132 132          7.9         3.8          6.4         2.0  virginica
      133 133          6.4         2.8          5.6         2.2  virginica
      134 134          6.3         2.8          5.1         1.5  virginica
      135 135          6.1         2.6          5.6         1.4  virginica
      136 136          7.7         3.0          6.1         2.3  virginica
      137 137          6.3         3.4          5.6         2.4  virginica
      138 138          6.4         3.1          5.5         1.8  virginica
      139 139          6.0         3.0          4.8         1.8  virginica
      140 140          6.9         3.1          5.4         2.1  virginica
      141 141          6.7         3.1          5.6         2.4  virginica
      142 142          6.9         3.1          5.1         2.3  virginica
      143 143          5.8         2.7          5.1         1.9  virginica
      144 144          6.8         3.2          5.9         2.3  virginica
      145 145          6.7         3.3          5.7         2.5  virginica
      146 146          6.7         3.0          5.2         2.3  virginica
      147 147          6.3         2.5          5.0         1.9  virginica
      148 148          6.5         3.0          5.2         2.0  virginica
      149 149          6.2         3.4          5.4         2.3  virginica
      150 150          5.9         3.0          5.1         1.8  virginica
                       todate r_row_names__
      1   2025-02-27 15:29:32             1
      2   2025-02-27 15:29:32             2
      3   2025-02-27 15:29:32             3
      4   2025-02-27 15:29:32             4
      5   2025-02-27 15:29:32             5
      6   2025-02-27 15:29:32             6
      7   2025-02-27 15:29:32             7
      8   2025-02-27 15:29:32             8
      9   2025-02-27 15:29:32             9
      10  2025-02-27 15:29:32            10
      11  2025-02-27 15:29:32            11
      12  2025-02-27 15:29:32            12
      13  2025-02-27 15:29:32            13
      14  2025-02-27 15:29:32            14
      15  2025-02-27 15:29:32            15
      16  2025-02-27 15:29:32            16
      17  2025-02-27 15:29:32            17
      18  2025-02-27 15:29:32            18
      19  2025-02-27 15:29:32            19
      20  2025-02-27 15:29:32            20
      21  2025-02-27 15:29:32            21
      22  2025-02-27 15:29:32            22
      23  2025-02-27 15:29:32            23
      24  2025-02-27 15:29:32            24
      25  2025-02-27 15:29:32            25
      26  2025-02-27 15:29:32            26
      27  2025-02-27 15:29:32            27
      28  2025-02-27 15:29:32            28
      29  2025-02-27 15:29:32            29
      30  2025-02-27 15:29:32            30
      31  2025-02-27 15:29:32            31
      32  2025-02-27 15:29:32            32
      33  2025-02-27 15:29:32            33
      34  2025-02-27 15:29:32            34
      35  2025-02-27 15:29:32            35
      36  2025-02-27 15:29:32            36
      37  2025-02-27 15:29:32            37
      38  2025-02-27 15:29:32            38
      39  2025-02-27 15:29:32            39
      40  2025-02-27 15:29:32            40
      41  2025-02-27 15:29:32            41
      42  2025-02-27 15:29:32            42
      43  2025-02-27 15:29:32            43
      44  2025-02-27 15:29:32            44
      45  2025-02-27 15:29:32            45
      46  2025-02-27 15:29:32            46
      47  2025-02-27 15:29:32            47
      48  2025-02-27 15:29:32            48
      49  2025-02-27 15:29:32            49
      50  2025-02-27 15:29:32            50
      51  2025-02-27 15:29:32            51
      52  2025-02-27 15:29:32            52
      53  2025-02-27 15:29:32            53
      54  2025-02-27 15:29:32            54
      55  2025-02-27 15:29:32            55
      56  2025-02-27 15:29:32            56
      57  2025-02-27 15:29:32            57
      58  2025-02-27 15:29:32            58
      59  2025-02-27 15:29:32            59
      60  2025-02-27 15:29:32            60
      61  2025-02-27 15:29:32            61
      62  2025-02-27 15:29:32            62
      63  2025-02-27 15:29:32            63
      64  2025-02-27 15:29:32            64
      65  2025-02-27 15:29:32            65
      66  2025-02-27 15:29:32            66
      67  2025-02-27 15:29:32            67
      68  2025-02-27 15:29:32            68
      69  2025-02-27 15:29:32            69
      70  2025-02-27 15:29:32            70
      71  2025-02-27 15:29:32            71
      72  2025-02-27 15:29:32            72
      73  2025-02-27 15:29:32            73
      74  2025-02-27 15:29:32            74
      75  2025-02-27 15:29:32            75
      76  2025-02-27 15:29:32            76
      77  2025-02-27 15:29:32            77
      78  2025-02-27 15:29:32            78
      79  2025-02-27 15:29:32            79
      80  2025-02-27 15:29:32            80
      81  2025-02-27 15:29:32            81
      82  2025-02-27 15:29:32            82
      83  2025-02-27 15:29:32            83
      84  2025-02-27 15:29:32            84
      85  2025-02-27 15:29:32            85
      86  2025-02-27 15:29:32            86
      87  2025-02-27 15:29:32            87
      88  2025-02-27 15:29:32            88
      89  2025-02-27 15:29:32            89
      90  2025-02-27 15:29:32            90
      91  2025-02-27 15:29:32            91
      92  2025-02-27 15:29:32            92
      93  2025-02-27 15:29:32            93
      94  2025-02-27 15:29:32            94
      95  2025-02-27 15:29:32            95
      96  2025-02-27 15:29:32            96
      97  2025-02-27 15:29:32            97
      98  2025-02-27 15:29:32            98
      99  2025-02-27 15:29:32            99
      100 2025-02-27 15:29:32           100
      101 2025-02-27 15:29:32           101
      102 2025-02-27 15:29:32           102
      103 2025-02-27 15:29:32           103
      104 2025-02-27 15:29:32           104
      105 2025-02-27 15:29:32           105
      106 2025-02-27 15:29:32           106
      107 2025-02-27 15:29:32           107
      108 2025-02-27 15:29:32           108
      109 2025-02-27 15:29:32           109
      110 2025-02-27 15:29:32           110
      111 2025-02-27 15:29:32           111
      112 2025-02-27 15:29:32           112
      113 2025-02-27 15:29:32           113
      114 2025-02-27 15:29:32           114
      115 2025-02-27 15:29:32           115
      116 2025-02-27 15:29:32           116
      117 2025-02-27 15:29:32           117
      118 2025-02-27 15:29:32           118
      119 2025-02-27 15:29:32           119
      120 2025-02-27 15:29:32           120
      121 2025-02-27 15:29:32           121
      122 2025-02-27 15:29:32           122
      123 2025-02-27 15:29:32           123
      124 2025-02-27 15:29:32           124
      125 2025-02-27 15:29:32           125
      126 2025-02-27 15:29:32           126
      127 2025-02-27 15:29:32           127
      128 2025-02-27 15:29:32           128
      129 2025-02-27 15:29:32           129
      130 2025-02-27 15:29:32           130
      131 2025-02-27 15:29:32           131
      132 2025-02-27 15:29:32           132
      133 2025-02-27 15:29:32           133
      134 2025-02-27 15:29:32           134
      135 2025-02-27 15:29:32           135
      136 2025-02-27 15:29:32           136
      137 2025-02-27 15:29:32           137
      138 2025-02-27 15:29:32           138
      139 2025-02-27 15:29:32           139
      140 2025-02-27 15:29:32           140
      141 2025-02-27 15:29:32           141
      142 2025-02-27 15:29:32           142
      143 2025-02-27 15:29:32           143
      144 2025-02-27 15:29:32           144
      145 2025-02-27 15:29:32           145
      146 2025-02-27 15:29:32           146
      147 2025-02-27 15:29:32           147
      148 2025-02-27 15:29:32           148
      149 2025-02-27 15:29:32           149
      150 2025-02-27 15:29:32           150

# get_data_dbi works

    Code
      get_data_dbi(con = con, schema = "public", table = "test_iris")
    Output
           id sepal_length sepal_width petal_length petal_width    species
      1     1          5.1         3.5          1.4         0.2     setosa
      2     2          4.9         3.0          1.4         0.2     setosa
      3     3          4.7         3.2          1.3         0.2     setosa
      4     4          4.6         3.1          1.5         0.2     setosa
      5     5          5.0         3.6          1.4         0.2     setosa
      6     6          5.4         3.9          1.7         0.4     setosa
      7     7          4.6         3.4          1.4         0.3     setosa
      8     8          5.0         3.4          1.5         0.2     setosa
      9     9          4.4         2.9          1.4         0.2     setosa
      10   10          4.9         3.1          1.5         0.1     setosa
      11   11          5.4         3.7          1.5         0.2     setosa
      12   12          4.8         3.4          1.6         0.2     setosa
      13   13          4.8         3.0          1.4         0.1     setosa
      14   14          4.3         3.0          1.1         0.1     setosa
      15   15          5.8         4.0          1.2         0.2     setosa
      16   16          5.7         4.4          1.5         0.4     setosa
      17   17          5.4         3.9          1.3         0.4     setosa
      18   18          5.1         3.5          1.4         0.3     setosa
      19   19          5.7         3.8          1.7         0.3     setosa
      20   20          5.1         3.8          1.5         0.3     setosa
      21   21          5.4         3.4          1.7         0.2     setosa
      22   22          5.1         3.7          1.5         0.4     setosa
      23   23          4.6         3.6          1.0         0.2     setosa
      24   24          5.1         3.3          1.7         0.5     setosa
      25   25          4.8         3.4          1.9         0.2     setosa
      26   26          5.0         3.0          1.6         0.2     setosa
      27   27          5.0         3.4          1.6         0.4     setosa
      28   28          5.2         3.5          1.5         0.2     setosa
      29   29          5.2         3.4          1.4         0.2     setosa
      30   30          4.7         3.2          1.6         0.2     setosa
      31   31          4.8         3.1          1.6         0.2     setosa
      32   32          5.4         3.4          1.5         0.4     setosa
      33   33          5.2         4.1          1.5         0.1     setosa
      34   34          5.5         4.2          1.4         0.2     setosa
      35   35          4.9         3.1          1.5         0.2     setosa
      36   36          5.0         3.2          1.2         0.2     setosa
      37   37          5.5         3.5          1.3         0.2     setosa
      38   38          4.9         3.6          1.4         0.1     setosa
      39   39          4.4         3.0          1.3         0.2     setosa
      40   40          5.1         3.4          1.5         0.2     setosa
      41   41          5.0         3.5          1.3         0.3     setosa
      42   42          4.5         2.3          1.3         0.3     setosa
      43   43          4.4         3.2          1.3         0.2     setosa
      44   44          5.0         3.5          1.6         0.6     setosa
      45   45          5.1         3.8          1.9         0.4     setosa
      46   46          4.8         3.0          1.4         0.3     setosa
      47   47          5.1         3.8          1.6         0.2     setosa
      48   48          4.6         3.2          1.4         0.2     setosa
      49   49          5.3         3.7          1.5         0.2     setosa
      50   50          5.0         3.3          1.4         0.2     setosa
      51   51          7.0         3.2          4.7         1.4 versicolor
      52   52          6.4         3.2          4.5         1.5 versicolor
      53   53          6.9         3.1          4.9         1.5 versicolor
      54   54          5.5         2.3          4.0         1.3 versicolor
      55   55          6.5         2.8          4.6         1.5 versicolor
      56   56          5.7         2.8          4.5         1.3 versicolor
      57   57          6.3         3.3          4.7         1.6 versicolor
      58   58          4.9         2.4          3.3         1.0 versicolor
      59   59          6.6         2.9          4.6         1.3 versicolor
      60   60          5.2         2.7          3.9         1.4 versicolor
      61   61          5.0         2.0          3.5         1.0 versicolor
      62   62          5.9         3.0          4.2         1.5 versicolor
      63   63          6.0         2.2          4.0         1.0 versicolor
      64   64          6.1         2.9          4.7         1.4 versicolor
      65   65          5.6         2.9          3.6         1.3 versicolor
      66   66          6.7         3.1          4.4         1.4 versicolor
      67   67          5.6         3.0          4.5         1.5 versicolor
      68   68          5.8         2.7          4.1         1.0 versicolor
      69   69          6.2         2.2          4.5         1.5 versicolor
      70   70          5.6         2.5          3.9         1.1 versicolor
      71   71          5.9         3.2          4.8         1.8 versicolor
      72   72          6.1         2.8          4.0         1.3 versicolor
      73   73          6.3         2.5          4.9         1.5 versicolor
      74   74          6.1         2.8          4.7         1.2 versicolor
      75   75          6.4         2.9          4.3         1.3 versicolor
      76   76          6.6         3.0          4.4         1.4 versicolor
      77   77          6.8         2.8          4.8         1.4 versicolor
      78   78          6.7         3.0          5.0         1.7 versicolor
      79   79          6.0         2.9          4.5         1.5 versicolor
      80   80          5.7         2.6          3.5         1.0 versicolor
      81   81          5.5         2.4          3.8         1.1 versicolor
      82   82          5.5         2.4          3.7         1.0 versicolor
      83   83          5.8         2.7          3.9         1.2 versicolor
      84   84          6.0         2.7          5.1         1.6 versicolor
      85   85          5.4         3.0          4.5         1.5 versicolor
      86   86          6.0         3.4          4.5         1.6 versicolor
      87   87          6.7         3.1          4.7         1.5 versicolor
      88   88          6.3         2.3          4.4         1.3 versicolor
      89   89          5.6         3.0          4.1         1.3 versicolor
      90   90          5.5         2.5          4.0         1.3 versicolor
      91   91          5.5         2.6          4.4         1.2 versicolor
      92   92          6.1         3.0          4.6         1.4 versicolor
      93   93          5.8         2.6          4.0         1.2 versicolor
      94   94          5.0         2.3          3.3         1.0 versicolor
      95   95          5.6         2.7          4.2         1.3 versicolor
      96   96          5.7         3.0          4.2         1.2 versicolor
      97   97          5.7         2.9          4.2         1.3 versicolor
      98   98          6.2         2.9          4.3         1.3 versicolor
      99   99          5.1         2.5          3.0         1.1 versicolor
      100 100          5.7         2.8          4.1         1.3 versicolor
      101 101          6.3         3.3          6.0         2.5  virginica
      102 102          5.8         2.7          5.1         1.9  virginica
      103 103          7.1         3.0          5.9         2.1  virginica
      104 104          6.3         2.9          5.6         1.8  virginica
      105 105          6.5         3.0          5.8         2.2  virginica
      106 106          7.6         3.0          6.6         2.1  virginica
      107 107          4.9         2.5          4.5         1.7  virginica
      108 108          7.3         2.9          6.3         1.8  virginica
      109 109          6.7         2.5          5.8         1.8  virginica
      110 110          7.2         3.6          6.1         2.5  virginica
      111 111          6.5         3.2          5.1         2.0  virginica
      112 112          6.4         2.7          5.3         1.9  virginica
      113 113          6.8         3.0          5.5         2.1  virginica
      114 114          5.7         2.5          5.0         2.0  virginica
      115 115          5.8         2.8          5.1         2.4  virginica
      116 116          6.4         3.2          5.3         2.3  virginica
      117 117          6.5         3.0          5.5         1.8  virginica
      118 118          7.7         3.8          6.7         2.2  virginica
      119 119          7.7         2.6          6.9         2.3  virginica
      120 120          6.0         2.2          5.0         1.5  virginica
      121 121          6.9         3.2          5.7         2.3  virginica
      122 122          5.6         2.8          4.9         2.0  virginica
      123 123          7.7         2.8          6.7         2.0  virginica
      124 124          6.3         2.7          4.9         1.8  virginica
      125 125          6.7         3.3          5.7         2.1  virginica
      126 126          7.2         3.2          6.0         1.8  virginica
      127 127          6.2         2.8          4.8         1.8  virginica
      128 128          6.1         3.0          4.9         1.8  virginica
      129 129          6.4         2.8          5.6         2.1  virginica
      130 130          7.2         3.0          5.8         1.6  virginica
      131 131          7.4         2.8          6.1         1.9  virginica
      132 132          7.9         3.8          6.4         2.0  virginica
      133 133          6.4         2.8          5.6         2.2  virginica
      134 134          6.3         2.8          5.1         1.5  virginica
      135 135          6.1         2.6          5.6         1.4  virginica
      136 136          7.7         3.0          6.1         2.3  virginica
      137 137          6.3         3.4          5.6         2.4  virginica
      138 138          6.4         3.1          5.5         1.8  virginica
      139 139          6.0         3.0          4.8         1.8  virginica
      140 140          6.9         3.1          5.4         2.1  virginica
      141 141          6.7         3.1          5.6         2.4  virginica
      142 142          6.9         3.1          5.1         2.3  virginica
      143 143          5.8         2.7          5.1         1.9  virginica
      144 144          6.8         3.2          5.9         2.3  virginica
      145 145          6.7         3.3          5.7         2.5  virginica
      146 146          6.7         3.0          5.2         2.3  virginica
      147 147          6.3         2.5          5.0         1.9  virginica
      148 148          6.5         3.0          5.2         2.0  virginica
      149 149          6.2         3.4          5.4         2.3  virginica
      150 150          5.9         3.0          5.1         1.8  virginica
                       todate r_row_names__
      1   2025-02-27 14:29:32             1
      2   2025-02-27 14:29:32             2
      3   2025-02-27 14:29:32             3
      4   2025-02-27 14:29:32             4
      5   2025-02-27 14:29:32             5
      6   2025-02-27 14:29:32             6
      7   2025-02-27 14:29:32             7
      8   2025-02-27 14:29:32             8
      9   2025-02-27 14:29:32             9
      10  2025-02-27 14:29:32            10
      11  2025-02-27 14:29:32            11
      12  2025-02-27 14:29:32            12
      13  2025-02-27 14:29:32            13
      14  2025-02-27 14:29:32            14
      15  2025-02-27 14:29:32            15
      16  2025-02-27 14:29:32            16
      17  2025-02-27 14:29:32            17
      18  2025-02-27 14:29:32            18
      19  2025-02-27 14:29:32            19
      20  2025-02-27 14:29:32            20
      21  2025-02-27 14:29:32            21
      22  2025-02-27 14:29:32            22
      23  2025-02-27 14:29:32            23
      24  2025-02-27 14:29:32            24
      25  2025-02-27 14:29:32            25
      26  2025-02-27 14:29:32            26
      27  2025-02-27 14:29:32            27
      28  2025-02-27 14:29:32            28
      29  2025-02-27 14:29:32            29
      30  2025-02-27 14:29:32            30
      31  2025-02-27 14:29:32            31
      32  2025-02-27 14:29:32            32
      33  2025-02-27 14:29:32            33
      34  2025-02-27 14:29:32            34
      35  2025-02-27 14:29:32            35
      36  2025-02-27 14:29:32            36
      37  2025-02-27 14:29:32            37
      38  2025-02-27 14:29:32            38
      39  2025-02-27 14:29:32            39
      40  2025-02-27 14:29:32            40
      41  2025-02-27 14:29:32            41
      42  2025-02-27 14:29:32            42
      43  2025-02-27 14:29:32            43
      44  2025-02-27 14:29:32            44
      45  2025-02-27 14:29:32            45
      46  2025-02-27 14:29:32            46
      47  2025-02-27 14:29:32            47
      48  2025-02-27 14:29:32            48
      49  2025-02-27 14:29:32            49
      50  2025-02-27 14:29:32            50
      51  2025-02-27 14:29:32            51
      52  2025-02-27 14:29:32            52
      53  2025-02-27 14:29:32            53
      54  2025-02-27 14:29:32            54
      55  2025-02-27 14:29:32            55
      56  2025-02-27 14:29:32            56
      57  2025-02-27 14:29:32            57
      58  2025-02-27 14:29:32            58
      59  2025-02-27 14:29:32            59
      60  2025-02-27 14:29:32            60
      61  2025-02-27 14:29:32            61
      62  2025-02-27 14:29:32            62
      63  2025-02-27 14:29:32            63
      64  2025-02-27 14:29:32            64
      65  2025-02-27 14:29:32            65
      66  2025-02-27 14:29:32            66
      67  2025-02-27 14:29:32            67
      68  2025-02-27 14:29:32            68
      69  2025-02-27 14:29:32            69
      70  2025-02-27 14:29:32            70
      71  2025-02-27 14:29:32            71
      72  2025-02-27 14:29:32            72
      73  2025-02-27 14:29:32            73
      74  2025-02-27 14:29:32            74
      75  2025-02-27 14:29:32            75
      76  2025-02-27 14:29:32            76
      77  2025-02-27 14:29:32            77
      78  2025-02-27 14:29:32            78
      79  2025-02-27 14:29:32            79
      80  2025-02-27 14:29:32            80
      81  2025-02-27 14:29:32            81
      82  2025-02-27 14:29:32            82
      83  2025-02-27 14:29:32            83
      84  2025-02-27 14:29:32            84
      85  2025-02-27 14:29:32            85
      86  2025-02-27 14:29:32            86
      87  2025-02-27 14:29:32            87
      88  2025-02-27 14:29:32            88
      89  2025-02-27 14:29:32            89
      90  2025-02-27 14:29:32            90
      91  2025-02-27 14:29:32            91
      92  2025-02-27 14:29:32            92
      93  2025-02-27 14:29:32            93
      94  2025-02-27 14:29:32            94
      95  2025-02-27 14:29:32            95
      96  2025-02-27 14:29:32            96
      97  2025-02-27 14:29:32            97
      98  2025-02-27 14:29:32            98
      99  2025-02-27 14:29:32            99
      100 2025-02-27 14:29:32           100
      101 2025-02-27 14:29:32           101
      102 2025-02-27 14:29:32           102
      103 2025-02-27 14:29:32           103
      104 2025-02-27 14:29:32           104
      105 2025-02-27 14:29:32           105
      106 2025-02-27 14:29:32           106
      107 2025-02-27 14:29:32           107
      108 2025-02-27 14:29:32           108
      109 2025-02-27 14:29:32           109
      110 2025-02-27 14:29:32           110
      111 2025-02-27 14:29:32           111
      112 2025-02-27 14:29:32           112
      113 2025-02-27 14:29:32           113
      114 2025-02-27 14:29:32           114
      115 2025-02-27 14:29:32           115
      116 2025-02-27 14:29:32           116
      117 2025-02-27 14:29:32           117
      118 2025-02-27 14:29:32           118
      119 2025-02-27 14:29:32           119
      120 2025-02-27 14:29:32           120
      121 2025-02-27 14:29:32           121
      122 2025-02-27 14:29:32           122
      123 2025-02-27 14:29:32           123
      124 2025-02-27 14:29:32           124
      125 2025-02-27 14:29:32           125
      126 2025-02-27 14:29:32           126
      127 2025-02-27 14:29:32           127
      128 2025-02-27 14:29:32           128
      129 2025-02-27 14:29:32           129
      130 2025-02-27 14:29:32           130
      131 2025-02-27 14:29:32           131
      132 2025-02-27 14:29:32           132
      133 2025-02-27 14:29:32           133
      134 2025-02-27 14:29:32           134
      135 2025-02-27 14:29:32           135
      136 2025-02-27 14:29:32           136
      137 2025-02-27 14:29:32           137
      138 2025-02-27 14:29:32           138
      139 2025-02-27 14:29:32           139
      140 2025-02-27 14:29:32           140
      141 2025-02-27 14:29:32           141
      142 2025-02-27 14:29:32           142
      143 2025-02-27 14:29:32           143
      144 2025-02-27 14:29:32           144
      145 2025-02-27 14:29:32           145
      146 2025-02-27 14:29:32           146
      147 2025-02-27 14:29:32           147
      148 2025-02-27 14:29:32           148
      149 2025-02-27 14:29:32           149
      150 2025-02-27 14:29:32           150

